1# Makefile.in generated by automake 1.10.1 from Makefile.am.
2# tests/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17pkgdatadir = $(datadir)/tre
18pkglibdir = $(libdir)/tre
19pkgincludedir = $(includedir)/tre
20am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21install_sh_DATA = $(install_sh) -c -m 644
22install_sh_PROGRAM = $(install_sh) -c
23install_sh_SCRIPT = $(install_sh) -c
24INSTALL_HEADER = $(INSTALL_DATA)
25transform = $(program_transform_name)
26NORMAL_INSTALL = :
27PRE_INSTALL = :
28POST_INSTALL = :
29NORMAL_UNINSTALL = :
30PRE_UNINSTALL = :
31POST_UNINSTALL = :
32build_triplet = i686-pc-linux-gnu
33host_triplet = arm-unknown-linux-gnu
34target_triplet = arm-unknown-linux-gnu
35check_PROGRAMS = retest$(EXEEXT) randtest$(EXEEXT) \
36	test-str-source$(EXEEXT) $(am__EXEEXT_1)
37EXTRA_PROGRAMS = bench$(EXEEXT)
38am__append_1 = wretest
39am__append_2 = ../lib/tre-match-approx.c
40TESTS = test-str-source$(EXEEXT) retest$(EXEEXT) $(am__EXEEXT_1)
41am__append_3 = wretest
42subdir = tests
43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
44ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45am__aclocal_m4_deps = $(top_srcdir)/m4/ac_libtool_tags.m4 \
46	$(top_srcdir)/m4/ax_check_funcs_comp.m4 \
47	$(top_srcdir)/m4/ax_check_sign.m4 \
48	$(top_srcdir)/m4/ax_decl_wchar_max.m4 \
49	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
50	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/lib-ld.m4 \
51	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
52	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
53	$(top_srcdir)/m4/progtest.m4 \
54	$(top_srcdir)/m4/vl_prog_cc_warnings.m4 \
55	$(top_srcdir)/configure.ac
56am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57	$(ACLOCAL_M4)
58mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
59CONFIG_HEADER = $(top_builddir)/config.h \
60	$(top_builddir)/lib/tre-config.h
61CONFIG_CLEAN_FILES =
62libxtre_la_LIBADD =
63am__libxtre_la_SOURCES_DIST = ../lib/tre-mem.c ../lib/tre-stack.c \
64	../lib/tre-ast.c ../lib/tre-parse.c ../lib/tre-compile.c \
65	../lib/tre-match-parallel.c ../lib/tre-match-backtrack.c \
66	../lib/regcomp.c ../lib/regexec.c ../lib/regerror.c \
67	../lib/xmalloc.c ../lib/tre-match-approx.c
68am__objects_1 = libxtre_la-tre-match-approx.lo
69am_libxtre_la_OBJECTS = libxtre_la-tre-mem.lo \
70	libxtre_la-tre-stack.lo libxtre_la-tre-ast.lo \
71	libxtre_la-tre-parse.lo \
72	libxtre_la-tre-compile.lo \
73	libxtre_la-tre-match-parallel.lo \
74	libxtre_la-tre-match-backtrack.lo \
75	libxtre_la-regcomp.lo libxtre_la-regexec.lo \
76	libxtre_la-regerror.lo libxtre_la-xmalloc.lo \
77	$(am__objects_1)
78libxtre_la_OBJECTS = $(am_libxtre_la_OBJECTS)
79libxtre_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
80	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libxtre_la_CFLAGS) \
81	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
82am_libxtre_la_rpath =
83am__EXEEXT_1 = wretest$(EXEEXT)
84am_bench_OBJECTS = bench.$(OBJEXT)
85bench_OBJECTS = $(am_bench_OBJECTS)
86am__DEPENDENCIES_1 =
87am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
88bench_DEPENDENCIES = ../lib/libtre.la $(am__DEPENDENCIES_2)
89am_randtest_OBJECTS = randtest-randtest.$(OBJEXT)
90randtest_OBJECTS = $(am_randtest_OBJECTS)
91randtest_DEPENDENCIES = libxtre.la \
92	$(am__DEPENDENCIES_2)
93#randtest_DEPENDENCIES = ../lib/libtre.la \
94#	$(am__DEPENDENCIES_2)
95randtest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
96	--mode=link $(CCLD) $(randtest_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
97	$(LDFLAGS) -o $@
98am_retest_OBJECTS = retest-retest.$(OBJEXT)
99retest_OBJECTS = $(am_retest_OBJECTS)
100retest_DEPENDENCIES = libxtre.la \
101	$(am__DEPENDENCIES_2)
102#retest_DEPENDENCIES = ../lib/libtre.la \
103#	$(am__DEPENDENCIES_2)
104retest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
105	--mode=link $(CCLD) $(retest_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
106	$(LDFLAGS) -o $@
107am_test_str_source_OBJECTS = test-str-source.$(OBJEXT)
108test_str_source_OBJECTS = $(am_test_str_source_OBJECTS)
109test_str_source_DEPENDENCIES = ../lib/libtre.la $(am__DEPENDENCIES_2)
110am__wretest_SOURCES_DIST = retest.c
111am_wretest_OBJECTS = wretest-retest.$(OBJEXT)
112wretest_OBJECTS = $(am_wretest_OBJECTS)
113wretest_DEPENDENCIES =  \
114	libxtre.la \
115	$(am__DEPENDENCIES_2)
116#wretest_DEPENDENCIES =  \
117#	../lib/libtre.la \
118#	$(am__DEPENDENCIES_2)
119wretest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
120	--mode=link $(CCLD) $(wretest_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
121	$(LDFLAGS) -o $@
122DEFAULT_INCLUDES = -I. -I$(top_builddir) -I$(top_builddir)/lib
123depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
124am__depfiles_maybe = depfiles
125COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
126	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
127LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
128	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
129	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
130CCLD = $(CC)
131LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
132	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
133	$(LDFLAGS) -o $@
134SOURCES = $(libxtre_la_SOURCES) $(bench_SOURCES) $(randtest_SOURCES) \
135	$(retest_SOURCES) $(test_str_source_SOURCES) \
136	$(wretest_SOURCES)
137DIST_SOURCES = $(am__libxtre_la_SOURCES_DIST) $(bench_SOURCES) \
138	$(randtest_SOURCES) $(retest_SOURCES) \
139	$(test_str_source_SOURCES) $(am__wretest_SOURCES_DIST)
140RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
141	html-recursive info-recursive install-data-recursive \
142	install-dvi-recursive install-exec-recursive \
143	install-html-recursive install-info-recursive \
144	install-pdf-recursive install-ps-recursive install-recursive \
145	installcheck-recursive installdirs-recursive pdf-recursive \
146	ps-recursive uninstall-recursive
147RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
148  distclean-recursive maintainer-clean-recursive
149ETAGS = etags
150CTAGS = ctags
151DIST_SUBDIRS = $(SUBDIRS)
152DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
153ACLOCAL = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run aclocal-1.10
154ALLOCA = 
155AMTAR = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run tar
156AR = arm-brcm-linux-uclibcgnueabi-ar
157AS = arm-brcm-linux-uclibcgnueabi-as
158AUTOCONF = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run autoconf
159AUTOHEADER = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run autoheader
160AUTOMAKE = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run automake-1.10
161AWK = gawk
162CC = arm-brcm-linux-uclibcgnueabi-gcc
163CCDEPMODE = depmode=gcc3
164CFLAGS = -Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include
165CPP = arm-brcm-linux-uclibcgnueabi-gcc -E
166CPPFLAGS = -I$(SRC_PATH)/build/include
167CYGPATH_W = echo
168DEFS = -DHAVE_CONFIG_H
169DEPDIR = .deps
170DLLTOOL = dlltool
171DSYMUTIL = 
172ECHO = echo
173ECHO_C = 
174ECHO_N = -n
175ECHO_T = 
176EGREP = /bin/grep -E
177EXEEXT = 
178GETTEXT_MACRO_VERSION = 0.17
179GMSGFMT = /usr/bin/msgfmt
180GMSGFMT_015 = /usr/bin/msgfmt
181GREP = /bin/grep
182INSTALL = /usr/bin/install -c
183INSTALL_DATA = ${INSTALL} -m 644
184INSTALL_PROGRAM = ${INSTALL}
185INSTALL_SCRIPT = ${INSTALL}
186INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
187INTLLIBS = 
188INTL_MACOSX_LIBS = 
189LDFLAGS = -L$(SRC_PATH)/build/lib
190LIBICONV = 
191LIBINTL = 
192LIBOBJS = 
193LIBS = 
194LIBTOOL = $(SHELL) $(top_builddir)/libtool
195LN_S = ln -s
196LTLIBICONV = 
197LTLIBINTL = 
198LTLIBOBJS = 
199MAKEINFO = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run makeinfo
200MKDIR_P = /bin/mkdir -p
201MSGFMT = /usr/bin/msgfmt
202MSGFMT_015 = /usr/bin/msgfmt
203MSGMERGE = /usr/bin/msgmerge
204NMEDIT = 
205OBJDUMP = arm-brcm-linux-uclibcgnueabi-objdump
206OBJEXT = o
207PACKAGE = tre
208PACKAGE_BUGREPORT = tre-general@lists.laurikari.net
209PACKAGE_NAME = TRE
210PACKAGE_STRING = TRE 0.8.0
211PACKAGE_TARNAME = tre
212PACKAGE_VERSION = 0.8.0
213PATH_SEPARATOR = :
214POSUB = 
215RANLIB = arm-brcm-linux-uclibcgnueabi-ranlib
216SED = /bin/sed
217SET_MAKE = 
218SHELL = /bin/sh
219STRIP = arm-brcm-linux-uclibcgnueabi-strip
220TRE_VERSION = 0.8.0
221USE_NLS = no
222VERSION = 0.8.0
223XGETTEXT = /usr/bin/xgettext
224XGETTEXT_015 = /usr/bin/xgettext
225XGETTEXT_EXTRA_OPTIONS = 
226abs_builddir = $(SRC_PATH)/tre-0.8.0/tests
227abs_srcdir = $(SRC_PATH)/tre-0.8.0/tests
228abs_top_builddir = $(SRC_PATH)/tre-0.8.0
229abs_top_srcdir = $(SRC_PATH)/tre-0.8.0
230ac_ct_CC = 
231am__include = include
232am__leading_dot = .
233am__quote = 
234am__tar = ${AMTAR} chof - "$$tardir"
235am__untar = ${AMTAR} xf -
236bindir = ${exec_prefix}/bin
237build = i686-pc-linux-gnu
238build_alias = 
239build_cpu = i686
240build_os = linux-gnu
241build_vendor = pc
242builddir = .
243datadir = ${datarootdir}
244datarootdir = ${prefix}/share
245docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
246dvidir = ${docdir}
247exec_prefix = ${prefix}
248host = arm-unknown-linux-gnu
249host_alias = arm-linux
250host_cpu = arm
251host_os = linux-gnu
252host_vendor = unknown
253htmldir = ${docdir}
254includedir = ${prefix}/include
255infodir = ${datarootdir}/info
256install_sh = $(SHELL) $(SRC_PATH)/tre-0.8.0/utils/install-sh
257libdir = ${exec_prefix}/lib
258libexecdir = ${exec_prefix}/libexec
259localedir = ${datarootdir}/locale
260localstatedir = ${prefix}/var
261mandir = ${datarootdir}/man
262mkdir_p = /bin/mkdir -p
263oldincludedir = /usr/include
264pdfdir = ${docdir}
265prefix = /usr
266program_transform_name = s,x,x,
267psdir = ${docdir}
268sbindir = ${exec_prefix}/sbin
269sharedstatedir = ${prefix}/com
270srcdir = .
271sysconfdir = ${prefix}/etc
272target = arm-unknown-linux-gnu
273target_alias = 
274target_cpu = arm
275target_os = linux-gnu
276target_vendor = unknown
277top_builddir = ..
278top_srcdir = ..
279SUBDIRS = agrep
280LDADD = $(LTLIBINTL)
281retest_SOURCES = retest.c
282wretest_SOURCES = retest.c
283wretest_CPPFLAGS = -DWRETEST $(AM_CPPFLAGS)
284randtest_SOURCES = randtest.c
285bench_SOURCES = bench.c
286bench_LDADD = ../lib/libtre.la $(LDADD) -lm
287test_str_source_SOURCES = test-str-source.c
288test_str_source_LDADD = ../lib/libtre.la $(LDADD) -lm
289retest_LDADD = libxtre.la $(LDADD)
290#retest_LDADD = ../lib/libtre.la $(LDADD)
291wretest_LDADD = libxtre.la $(LDADD)
292#wretest_LDADD = ../lib/libtre.la $(LDADD)
293randtest_LDADD = libxtre.la $(LDADD)
294#randtest_LDADD = ../lib/libtre.la $(LDADD)
295check_LTLIBRARIES = libxtre.la
296libxtre_la_SOURCES = ../lib/tre-mem.c \
297	../lib/tre-stack.c ../lib/tre-ast.c \
298	../lib/tre-parse.c ../lib/tre-compile.c \
299	../lib/tre-match-parallel.c \
300	../lib/tre-match-backtrack.c ../lib/regcomp.c \
301	../lib/regexec.c ../lib/regerror.c \
302	../lib/xmalloc.c $(am__append_2)
303libxtre_la_CFLAGS = -DMALLOC_DEBUGGING
304retest_CFLAGS = -DMALLOC_DEBUGGING
305wretest_CFLAGS = -DMALLOC_DEBUGGING
306randtest_CFLAGS = -DMALLOC_DEBUGGING
307INCLUDES = -I$(top_srcdir)/lib
308EXTRA_DIST = build-tests.sh
309all: all-recursive
310
311.SUFFIXES:
312.SUFFIXES: .c .lo .o .obj
313$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
314	@for dep in $?; do \
315	  case '$(am__configure_deps)' in \
316	    *$$dep*) \
317	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
318		&& exit 0; \
319	      exit 1;; \
320	  esac; \
321	done; \
322	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  tests/Makefile'; \
323	cd $(top_srcdir) && \
324	  $(AUTOMAKE) --foreign  tests/Makefile
325.PRECIOUS: Makefile
326Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
327	@case '$?' in \
328	  *config.status*) \
329	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
330	  *) \
331	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
332	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
333	esac;
334
335$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
336	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
337
338$(top_srcdir)/configure:  $(am__configure_deps)
339	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
340$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
341	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
342
343clean-checkLTLIBRARIES:
344	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
345	@list='$(check_LTLIBRARIES)'; for p in $$list; do \
346	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
347	  test "$$dir" != "$$p" || dir=.; \
348	  echo "rm -f \"$${dir}/so_locations\""; \
349	  rm -f "$${dir}/so_locations"; \
350	done
351libxtre.la: $(libxtre_la_OBJECTS) $(libxtre_la_DEPENDENCIES) 
352	$(libxtre_la_LINK) $(am_libxtre_la_rpath) $(libxtre_la_OBJECTS) $(libxtre_la_LIBADD) $(LIBS)
353
354clean-checkPROGRAMS:
355	@list='$(check_PROGRAMS)'; for p in $$list; do \
356	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
357	  echo " rm -f $$p $$f"; \
358	  rm -f $$p $$f ; \
359	done
360bench$(EXEEXT): $(bench_OBJECTS) $(bench_DEPENDENCIES) 
361	@rm -f bench$(EXEEXT)
362	$(LINK) $(bench_OBJECTS) $(bench_LDADD) $(LIBS)
363randtest$(EXEEXT): $(randtest_OBJECTS) $(randtest_DEPENDENCIES) 
364	@rm -f randtest$(EXEEXT)
365	$(randtest_LINK) $(randtest_OBJECTS) $(randtest_LDADD) $(LIBS)
366retest$(EXEEXT): $(retest_OBJECTS) $(retest_DEPENDENCIES) 
367	@rm -f retest$(EXEEXT)
368	$(retest_LINK) $(retest_OBJECTS) $(retest_LDADD) $(LIBS)
369test-str-source$(EXEEXT): $(test_str_source_OBJECTS) $(test_str_source_DEPENDENCIES) 
370	@rm -f test-str-source$(EXEEXT)
371	$(LINK) $(test_str_source_OBJECTS) $(test_str_source_LDADD) $(LIBS)
372wretest$(EXEEXT): $(wretest_OBJECTS) $(wretest_DEPENDENCIES) 
373	@rm -f wretest$(EXEEXT)
374	$(wretest_LINK) $(wretest_OBJECTS) $(wretest_LDADD) $(LIBS)
375
376mostlyclean-compile:
377	-rm -f *.$(OBJEXT)
378
379distclean-compile:
380	-rm -f *.tab.c
381
382include ./$(DEPDIR)/bench.Po
383include ./$(DEPDIR)/libxtre_la-regcomp.Plo
384include ./$(DEPDIR)/libxtre_la-regerror.Plo
385include ./$(DEPDIR)/libxtre_la-regexec.Plo
386include ./$(DEPDIR)/libxtre_la-tre-ast.Plo
387include ./$(DEPDIR)/libxtre_la-tre-compile.Plo
388include ./$(DEPDIR)/libxtre_la-tre-match-approx.Plo
389include ./$(DEPDIR)/libxtre_la-tre-match-backtrack.Plo
390include ./$(DEPDIR)/libxtre_la-tre-match-parallel.Plo
391include ./$(DEPDIR)/libxtre_la-tre-mem.Plo
392include ./$(DEPDIR)/libxtre_la-tre-parse.Plo
393include ./$(DEPDIR)/libxtre_la-tre-stack.Plo
394include ./$(DEPDIR)/libxtre_la-xmalloc.Plo
395include ./$(DEPDIR)/randtest-randtest.Po
396include ./$(DEPDIR)/retest-retest.Po
397include ./$(DEPDIR)/test-str-source.Po
398include ./$(DEPDIR)/wretest-retest.Po
399
400.c.o:
401	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
402	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
403#	source='$<' object='$@' libtool=no \
404#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
405#	$(COMPILE) -c $<
406
407.c.obj:
408	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
409	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
410#	source='$<' object='$@' libtool=no \
411#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
412#	$(COMPILE) -c `$(CYGPATH_W) '$<'`
413
414.c.lo:
415	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
416	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
417#	source='$<' object='$@' libtool=yes \
418#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
419#	$(LTCOMPILE) -c -o $@ $<
420
421libxtre_la-tre-mem.lo: ../lib/tre-mem.c
422	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-mem.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-mem.Tpo -c -o libxtre_la-tre-mem.lo `test -f '../lib/tre-mem.c' || echo '$(srcdir)/'`../lib/tre-mem.c
423	mv -f $(DEPDIR)/libxtre_la-tre-mem.Tpo $(DEPDIR)/libxtre_la-tre-mem.Plo
424#	source='../lib/tre-mem.c' object='libxtre_la-tre-mem.lo' libtool=yes \
425#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
426#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-mem.lo `test -f '../lib/tre-mem.c' || echo '$(srcdir)/'`../lib/tre-mem.c
427
428libxtre_la-tre-stack.lo: ../lib/tre-stack.c
429	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-stack.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-stack.Tpo -c -o libxtre_la-tre-stack.lo `test -f '../lib/tre-stack.c' || echo '$(srcdir)/'`../lib/tre-stack.c
430	mv -f $(DEPDIR)/libxtre_la-tre-stack.Tpo $(DEPDIR)/libxtre_la-tre-stack.Plo
431#	source='../lib/tre-stack.c' object='libxtre_la-tre-stack.lo' libtool=yes \
432#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
433#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-stack.lo `test -f '../lib/tre-stack.c' || echo '$(srcdir)/'`../lib/tre-stack.c
434
435libxtre_la-tre-ast.lo: ../lib/tre-ast.c
436	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-ast.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-ast.Tpo -c -o libxtre_la-tre-ast.lo `test -f '../lib/tre-ast.c' || echo '$(srcdir)/'`../lib/tre-ast.c
437	mv -f $(DEPDIR)/libxtre_la-tre-ast.Tpo $(DEPDIR)/libxtre_la-tre-ast.Plo
438#	source='../lib/tre-ast.c' object='libxtre_la-tre-ast.lo' libtool=yes \
439#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
440#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-ast.lo `test -f '../lib/tre-ast.c' || echo '$(srcdir)/'`../lib/tre-ast.c
441
442libxtre_la-tre-parse.lo: ../lib/tre-parse.c
443	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-parse.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-parse.Tpo -c -o libxtre_la-tre-parse.lo `test -f '../lib/tre-parse.c' || echo '$(srcdir)/'`../lib/tre-parse.c
444	mv -f $(DEPDIR)/libxtre_la-tre-parse.Tpo $(DEPDIR)/libxtre_la-tre-parse.Plo
445#	source='../lib/tre-parse.c' object='libxtre_la-tre-parse.lo' libtool=yes \
446#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
447#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-parse.lo `test -f '../lib/tre-parse.c' || echo '$(srcdir)/'`../lib/tre-parse.c
448
449libxtre_la-tre-compile.lo: ../lib/tre-compile.c
450	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-compile.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-compile.Tpo -c -o libxtre_la-tre-compile.lo `test -f '../lib/tre-compile.c' || echo '$(srcdir)/'`../lib/tre-compile.c
451	mv -f $(DEPDIR)/libxtre_la-tre-compile.Tpo $(DEPDIR)/libxtre_la-tre-compile.Plo
452#	source='../lib/tre-compile.c' object='libxtre_la-tre-compile.lo' libtool=yes \
453#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
454#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-compile.lo `test -f '../lib/tre-compile.c' || echo '$(srcdir)/'`../lib/tre-compile.c
455
456libxtre_la-tre-match-parallel.lo: ../lib/tre-match-parallel.c
457	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-match-parallel.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-match-parallel.Tpo -c -o libxtre_la-tre-match-parallel.lo `test -f '../lib/tre-match-parallel.c' || echo '$(srcdir)/'`../lib/tre-match-parallel.c
458	mv -f $(DEPDIR)/libxtre_la-tre-match-parallel.Tpo $(DEPDIR)/libxtre_la-tre-match-parallel.Plo
459#	source='../lib/tre-match-parallel.c' object='libxtre_la-tre-match-parallel.lo' libtool=yes \
460#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
461#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-match-parallel.lo `test -f '../lib/tre-match-parallel.c' || echo '$(srcdir)/'`../lib/tre-match-parallel.c
462
463libxtre_la-tre-match-backtrack.lo: ../lib/tre-match-backtrack.c
464	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-match-backtrack.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-match-backtrack.Tpo -c -o libxtre_la-tre-match-backtrack.lo `test -f '../lib/tre-match-backtrack.c' || echo '$(srcdir)/'`../lib/tre-match-backtrack.c
465	mv -f $(DEPDIR)/libxtre_la-tre-match-backtrack.Tpo $(DEPDIR)/libxtre_la-tre-match-backtrack.Plo
466#	source='../lib/tre-match-backtrack.c' object='libxtre_la-tre-match-backtrack.lo' libtool=yes \
467#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
468#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-match-backtrack.lo `test -f '../lib/tre-match-backtrack.c' || echo '$(srcdir)/'`../lib/tre-match-backtrack.c
469
470libxtre_la-regcomp.lo: ../lib/regcomp.c
471	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-regcomp.lo -MD -MP -MF $(DEPDIR)/libxtre_la-regcomp.Tpo -c -o libxtre_la-regcomp.lo `test -f '../lib/regcomp.c' || echo '$(srcdir)/'`../lib/regcomp.c
472	mv -f $(DEPDIR)/libxtre_la-regcomp.Tpo $(DEPDIR)/libxtre_la-regcomp.Plo
473#	source='../lib/regcomp.c' object='libxtre_la-regcomp.lo' libtool=yes \
474#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
475#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-regcomp.lo `test -f '../lib/regcomp.c' || echo '$(srcdir)/'`../lib/regcomp.c
476
477libxtre_la-regexec.lo: ../lib/regexec.c
478	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-regexec.lo -MD -MP -MF $(DEPDIR)/libxtre_la-regexec.Tpo -c -o libxtre_la-regexec.lo `test -f '../lib/regexec.c' || echo '$(srcdir)/'`../lib/regexec.c
479	mv -f $(DEPDIR)/libxtre_la-regexec.Tpo $(DEPDIR)/libxtre_la-regexec.Plo
480#	source='../lib/regexec.c' object='libxtre_la-regexec.lo' libtool=yes \
481#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
482#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-regexec.lo `test -f '../lib/regexec.c' || echo '$(srcdir)/'`../lib/regexec.c
483
484libxtre_la-regerror.lo: ../lib/regerror.c
485	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-regerror.lo -MD -MP -MF $(DEPDIR)/libxtre_la-regerror.Tpo -c -o libxtre_la-regerror.lo `test -f '../lib/regerror.c' || echo '$(srcdir)/'`../lib/regerror.c
486	mv -f $(DEPDIR)/libxtre_la-regerror.Tpo $(DEPDIR)/libxtre_la-regerror.Plo
487#	source='../lib/regerror.c' object='libxtre_la-regerror.lo' libtool=yes \
488#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
489#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-regerror.lo `test -f '../lib/regerror.c' || echo '$(srcdir)/'`../lib/regerror.c
490
491libxtre_la-xmalloc.lo: ../lib/xmalloc.c
492	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-xmalloc.lo -MD -MP -MF $(DEPDIR)/libxtre_la-xmalloc.Tpo -c -o libxtre_la-xmalloc.lo `test -f '../lib/xmalloc.c' || echo '$(srcdir)/'`../lib/xmalloc.c
493	mv -f $(DEPDIR)/libxtre_la-xmalloc.Tpo $(DEPDIR)/libxtre_la-xmalloc.Plo
494#	source='../lib/xmalloc.c' object='libxtre_la-xmalloc.lo' libtool=yes \
495#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
496#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-xmalloc.lo `test -f '../lib/xmalloc.c' || echo '$(srcdir)/'`../lib/xmalloc.c
497
498libxtre_la-tre-match-approx.lo: ../lib/tre-match-approx.c
499	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -MT libxtre_la-tre-match-approx.lo -MD -MP -MF $(DEPDIR)/libxtre_la-tre-match-approx.Tpo -c -o libxtre_la-tre-match-approx.lo `test -f '../lib/tre-match-approx.c' || echo '$(srcdir)/'`../lib/tre-match-approx.c
500	mv -f $(DEPDIR)/libxtre_la-tre-match-approx.Tpo $(DEPDIR)/libxtre_la-tre-match-approx.Plo
501#	source='../lib/tre-match-approx.c' object='libxtre_la-tre-match-approx.lo' libtool=yes \
502#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
503#	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libxtre_la_CFLAGS) $(CFLAGS) -c -o libxtre_la-tre-match-approx.lo `test -f '../lib/tre-match-approx.c' || echo '$(srcdir)/'`../lib/tre-match-approx.c
504
505randtest-randtest.o: randtest.c
506	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(randtest_CFLAGS) $(CFLAGS) -MT randtest-randtest.o -MD -MP -MF $(DEPDIR)/randtest-randtest.Tpo -c -o randtest-randtest.o `test -f 'randtest.c' || echo '$(srcdir)/'`randtest.c
507	mv -f $(DEPDIR)/randtest-randtest.Tpo $(DEPDIR)/randtest-randtest.Po
508#	source='randtest.c' object='randtest-randtest.o' libtool=no \
509#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
510#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(randtest_CFLAGS) $(CFLAGS) -c -o randtest-randtest.o `test -f 'randtest.c' || echo '$(srcdir)/'`randtest.c
511
512randtest-randtest.obj: randtest.c
513	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(randtest_CFLAGS) $(CFLAGS) -MT randtest-randtest.obj -MD -MP -MF $(DEPDIR)/randtest-randtest.Tpo -c -o randtest-randtest.obj `if test -f 'randtest.c'; then $(CYGPATH_W) 'randtest.c'; else $(CYGPATH_W) '$(srcdir)/randtest.c'; fi`
514	mv -f $(DEPDIR)/randtest-randtest.Tpo $(DEPDIR)/randtest-randtest.Po
515#	source='randtest.c' object='randtest-randtest.obj' libtool=no \
516#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
517#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(randtest_CFLAGS) $(CFLAGS) -c -o randtest-randtest.obj `if test -f 'randtest.c'; then $(CYGPATH_W) 'randtest.c'; else $(CYGPATH_W) '$(srcdir)/randtest.c'; fi`
518
519retest-retest.o: retest.c
520	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(retest_CFLAGS) $(CFLAGS) -MT retest-retest.o -MD -MP -MF $(DEPDIR)/retest-retest.Tpo -c -o retest-retest.o `test -f 'retest.c' || echo '$(srcdir)/'`retest.c
521	mv -f $(DEPDIR)/retest-retest.Tpo $(DEPDIR)/retest-retest.Po
522#	source='retest.c' object='retest-retest.o' libtool=no \
523#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
524#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(retest_CFLAGS) $(CFLAGS) -c -o retest-retest.o `test -f 'retest.c' || echo '$(srcdir)/'`retest.c
525
526retest-retest.obj: retest.c
527	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(retest_CFLAGS) $(CFLAGS) -MT retest-retest.obj -MD -MP -MF $(DEPDIR)/retest-retest.Tpo -c -o retest-retest.obj `if test -f 'retest.c'; then $(CYGPATH_W) 'retest.c'; else $(CYGPATH_W) '$(srcdir)/retest.c'; fi`
528	mv -f $(DEPDIR)/retest-retest.Tpo $(DEPDIR)/retest-retest.Po
529#	source='retest.c' object='retest-retest.obj' libtool=no \
530#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
531#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(retest_CFLAGS) $(CFLAGS) -c -o retest-retest.obj `if test -f 'retest.c'; then $(CYGPATH_W) 'retest.c'; else $(CYGPATH_W) '$(srcdir)/retest.c'; fi`
532
533wretest-retest.o: retest.c
534	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(wretest_CPPFLAGS) $(CPPFLAGS) $(wretest_CFLAGS) $(CFLAGS) -MT wretest-retest.o -MD -MP -MF $(DEPDIR)/wretest-retest.Tpo -c -o wretest-retest.o `test -f 'retest.c' || echo '$(srcdir)/'`retest.c
535	mv -f $(DEPDIR)/wretest-retest.Tpo $(DEPDIR)/wretest-retest.Po
536#	source='retest.c' object='wretest-retest.o' libtool=no \
537#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
538#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(wretest_CPPFLAGS) $(CPPFLAGS) $(wretest_CFLAGS) $(CFLAGS) -c -o wretest-retest.o `test -f 'retest.c' || echo '$(srcdir)/'`retest.c
539
540wretest-retest.obj: retest.c
541	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(wretest_CPPFLAGS) $(CPPFLAGS) $(wretest_CFLAGS) $(CFLAGS) -MT wretest-retest.obj -MD -MP -MF $(DEPDIR)/wretest-retest.Tpo -c -o wretest-retest.obj `if test -f 'retest.c'; then $(CYGPATH_W) 'retest.c'; else $(CYGPATH_W) '$(srcdir)/retest.c'; fi`
542	mv -f $(DEPDIR)/wretest-retest.Tpo $(DEPDIR)/wretest-retest.Po
543#	source='retest.c' object='wretest-retest.obj' libtool=no \
544#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
545#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(wretest_CPPFLAGS) $(CPPFLAGS) $(wretest_CFLAGS) $(CFLAGS) -c -o wretest-retest.obj `if test -f 'retest.c'; then $(CYGPATH_W) 'retest.c'; else $(CYGPATH_W) '$(srcdir)/retest.c'; fi`
546
547mostlyclean-libtool:
548	-rm -f *.lo
549
550clean-libtool:
551	-rm -rf .libs _libs
552
553# This directory's subdirectories are mostly independent; you can cd
554# into them and run `make' without going through this Makefile.
555# To change the values of `make' variables: instead of editing Makefiles,
556# (1) if the variable is set in `config.status', edit `config.status'
557#     (which will cause the Makefiles to be regenerated when you run `make');
558# (2) otherwise, pass the desired values on the `make' command line.
559$(RECURSIVE_TARGETS):
560	@failcom='exit 1'; \
561	for f in x $$MAKEFLAGS; do \
562	  case $$f in \
563	    *=* | --[!k]*);; \
564	    *k*) failcom='fail=yes';; \
565	  esac; \
566	done; \
567	dot_seen=no; \
568	target=`echo $@ | sed s/-recursive//`; \
569	list='$(SUBDIRS)'; for subdir in $$list; do \
570	  echo "Making $$target in $$subdir"; \
571	  if test "$$subdir" = "."; then \
572	    dot_seen=yes; \
573	    local_target="$$target-am"; \
574	  else \
575	    local_target="$$target"; \
576	  fi; \
577	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
578	  || eval $$failcom; \
579	done; \
580	if test "$$dot_seen" = "no"; then \
581	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
582	fi; test -z "$$fail"
583
584$(RECURSIVE_CLEAN_TARGETS):
585	@failcom='exit 1'; \
586	for f in x $$MAKEFLAGS; do \
587	  case $$f in \
588	    *=* | --[!k]*);; \
589	    *k*) failcom='fail=yes';; \
590	  esac; \
591	done; \
592	dot_seen=no; \
593	case "$@" in \
594	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
595	  *) list='$(SUBDIRS)' ;; \
596	esac; \
597	rev=''; for subdir in $$list; do \
598	  if test "$$subdir" = "."; then :; else \
599	    rev="$$subdir $$rev"; \
600	  fi; \
601	done; \
602	rev="$$rev ."; \
603	target=`echo $@ | sed s/-recursive//`; \
604	for subdir in $$rev; do \
605	  echo "Making $$target in $$subdir"; \
606	  if test "$$subdir" = "."; then \
607	    local_target="$$target-am"; \
608	  else \
609	    local_target="$$target"; \
610	  fi; \
611	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
612	  || eval $$failcom; \
613	done && test -z "$$fail"
614tags-recursive:
615	list='$(SUBDIRS)'; for subdir in $$list; do \
616	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
617	done
618ctags-recursive:
619	list='$(SUBDIRS)'; for subdir in $$list; do \
620	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
621	done
622
623ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
624	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
625	unique=`for i in $$list; do \
626	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
627	  done | \
628	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
629	      END { if (nonempty) { for (i in files) print i; }; }'`; \
630	mkid -fID $$unique
631tags: TAGS
632
633TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
634		$(TAGS_FILES) $(LISP)
635	tags=; \
636	here=`pwd`; \
637	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
638	  include_option=--etags-include; \
639	  empty_fix=.; \
640	else \
641	  include_option=--include; \
642	  empty_fix=; \
643	fi; \
644	list='$(SUBDIRS)'; for subdir in $$list; do \
645	  if test "$$subdir" = .; then :; else \
646	    test ! -f $$subdir/TAGS || \
647	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
648	  fi; \
649	done; \
650	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
651	unique=`for i in $$list; do \
652	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
653	  done | \
654	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
655	      END { if (nonempty) { for (i in files) print i; }; }'`; \
656	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
657	  test -n "$$unique" || unique=$$empty_fix; \
658	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
659	    $$tags $$unique; \
660	fi
661ctags: CTAGS
662CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
663		$(TAGS_FILES) $(LISP)
664	tags=; \
665	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
666	unique=`for i in $$list; do \
667	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
668	  done | \
669	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
670	      END { if (nonempty) { for (i in files) print i; }; }'`; \
671	test -z "$(CTAGS_ARGS)$$tags$$unique" \
672	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
673	     $$tags $$unique
674
675GTAGS:
676	here=`$(am__cd) $(top_builddir) && pwd` \
677	  && cd $(top_srcdir) \
678	  && gtags -i $(GTAGS_ARGS) $$here
679
680distclean-tags:
681	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
682
683check-TESTS: $(TESTS)
684	@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[	 ]'; \
685	srcdir=$(srcdir); export srcdir; \
686	list=' $(TESTS) '; \
687	if test -n "$$list"; then \
688	  for tst in $$list; do \
689	    if test -f ./$$tst; then dir=./; \
690	    elif test -f $$tst; then dir=; \
691	    else dir="$(srcdir)/"; fi; \
692	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
693	      all=`expr $$all + 1`; \
694	      case " $(XFAIL_TESTS) " in \
695	      *$$ws$$tst$$ws*) \
696		xpass=`expr $$xpass + 1`; \
697		failed=`expr $$failed + 1`; \
698		echo "XPASS: $$tst"; \
699	      ;; \
700	      *) \
701		echo "PASS: $$tst"; \
702	      ;; \
703	      esac; \
704	    elif test $$? -ne 77; then \
705	      all=`expr $$all + 1`; \
706	      case " $(XFAIL_TESTS) " in \
707	      *$$ws$$tst$$ws*) \
708		xfail=`expr $$xfail + 1`; \
709		echo "XFAIL: $$tst"; \
710	      ;; \
711	      *) \
712		failed=`expr $$failed + 1`; \
713		echo "FAIL: $$tst"; \
714	      ;; \
715	      esac; \
716	    else \
717	      skip=`expr $$skip + 1`; \
718	      echo "SKIP: $$tst"; \
719	    fi; \
720	  done; \
721	  if test "$$failed" -eq 0; then \
722	    if test "$$xfail" -eq 0; then \
723	      banner="All $$all tests passed"; \
724	    else \
725	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
726	    fi; \
727	  else \
728	    if test "$$xpass" -eq 0; then \
729	      banner="$$failed of $$all tests failed"; \
730	    else \
731	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
732	    fi; \
733	  fi; \
734	  dashes="$$banner"; \
735	  skipped=""; \
736	  if test "$$skip" -ne 0; then \
737	    skipped="($$skip tests were not run)"; \
738	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
739	      dashes="$$skipped"; \
740	  fi; \
741	  report=""; \
742	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
743	    report="Please report to $(PACKAGE_BUGREPORT)"; \
744	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
745	      dashes="$$report"; \
746	  fi; \
747	  dashes=`echo "$$dashes" | sed s/./=/g`; \
748	  echo "$$dashes"; \
749	  echo "$$banner"; \
750	  test -z "$$skipped" || echo "$$skipped"; \
751	  test -z "$$report" || echo "$$report"; \
752	  echo "$$dashes"; \
753	  test "$$failed" -eq 0; \
754	else :; fi
755
756distdir: $(DISTFILES)
757	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
758	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
759	list='$(DISTFILES)'; \
760	  dist_files=`for file in $$list; do echo $$file; done | \
761	  sed -e "s|^$$srcdirstrip/||;t" \
762	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
763	case $$dist_files in \
764	  */*) $(MKDIR_P) `echo "$$dist_files" | \
765			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
766			   sort -u` ;; \
767	esac; \
768	for file in $$dist_files; do \
769	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
770	  if test -d $$d/$$file; then \
771	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
772	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
773	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
774	    fi; \
775	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
776	  else \
777	    test -f $(distdir)/$$file \
778	    || cp -p $$d/$$file $(distdir)/$$file \
779	    || exit 1; \
780	  fi; \
781	done
782	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
783	  if test "$$subdir" = .; then :; else \
784	    test -d "$(distdir)/$$subdir" \
785	    || $(MKDIR_P) "$(distdir)/$$subdir" \
786	    || exit 1; \
787	    distdir=`$(am__cd) $(distdir) && pwd`; \
788	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
789	    (cd $$subdir && \
790	      $(MAKE) $(AM_MAKEFLAGS) \
791	        top_distdir="$$top_distdir" \
792	        distdir="$$distdir/$$subdir" \
793		am__remove_distdir=: \
794		am__skip_length_check=: \
795	        distdir) \
796	      || exit 1; \
797	  fi; \
798	done
799check-am: all-am
800	$(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
801	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
802check: check-recursive
803all-am: Makefile
804installdirs: installdirs-recursive
805installdirs-am:
806install: install-recursive
807install-exec: install-exec-recursive
808install-data: install-data-recursive
809uninstall: uninstall-recursive
810
811install-am: all-am
812	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
813
814installcheck: installcheck-recursive
815install-strip:
816	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
817	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
818	  `test -z '$(STRIP)' || \
819	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
820mostlyclean-generic:
821
822clean-generic:
823
824distclean-generic:
825	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
826
827maintainer-clean-generic:
828	@echo "This command is intended for maintainers to use"
829	@echo "it deletes files that may require special tools to rebuild."
830clean: clean-recursive
831
832clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
833	clean-libtool mostlyclean-am
834
835distclean: distclean-recursive
836	-rm -rf ./$(DEPDIR)
837	-rm -f Makefile
838distclean-am: clean-am distclean-compile distclean-generic \
839	distclean-tags
840
841dvi: dvi-recursive
842
843dvi-am:
844
845html: html-recursive
846
847info: info-recursive
848
849info-am:
850
851install-data-am:
852
853install-dvi: install-dvi-recursive
854
855install-exec-am:
856
857install-html: install-html-recursive
858
859install-info: install-info-recursive
860
861install-man:
862
863install-pdf: install-pdf-recursive
864
865install-ps: install-ps-recursive
866
867installcheck-am:
868
869maintainer-clean: maintainer-clean-recursive
870	-rm -rf ./$(DEPDIR)
871	-rm -f Makefile
872maintainer-clean-am: distclean-am maintainer-clean-generic
873
874mostlyclean: mostlyclean-recursive
875
876mostlyclean-am: mostlyclean-compile mostlyclean-generic \
877	mostlyclean-libtool
878
879pdf: pdf-recursive
880
881pdf-am:
882
883ps: ps-recursive
884
885ps-am:
886
887uninstall-am:
888
889.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
890	install-strip
891
892.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
893	all all-am check check-TESTS check-am clean \
894	clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
895	clean-libtool ctags ctags-recursive distclean \
896	distclean-compile distclean-generic distclean-libtool \
897	distclean-tags distdir dvi dvi-am html html-am info info-am \
898	install install-am install-data install-data-am install-dvi \
899	install-dvi-am install-exec install-exec-am install-html \
900	install-html-am install-info install-info-am install-man \
901	install-pdf install-pdf-am install-ps install-ps-am \
902	install-strip installcheck installcheck-am installdirs \
903	installdirs-am maintainer-clean maintainer-clean-generic \
904	mostlyclean mostlyclean-compile mostlyclean-generic \
905	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
906	uninstall uninstall-am
907
908# Tell versions [3.59,3.63) of GNU make to not export all variables.
909# Otherwise a system limit (for SysV at least) may be exceeded.
910.NOEXPORT:
911